1. Este site usa cookies. Ao continuar a usar este site está a concordar com o nosso uso de cookies. Saber Mais.

Identificar a distro instalada

Discussão em 'Dúvidas e Suporte Técnico - GNU/Linux & *nix' iniciada por Stroops, 10 de Janeiro de 2008. (Respostas: 12; Visualizações: 957)

  1. Stroops

    Stroops Power Member

    Ola... surgiu me mais uma duvida no Linux, como é que sei que distro é a minha, sei que tenho o Ubuntu 7.10 Gutsy... mas para os comandos que se dá em linux como é que sei o que pôr quando me pedem a distro?

    Já agora aproveitava para saber se alguém aqui é utilizador de um programa de análise de imagem chamado FSL, para ressonância magnética e outras tecnologias de imagem... é que estou com bastantes problemas para conseguir instalar o programa.

    Cumprimentos
     
    Última edição: 10 de Janeiro de 2008
  2. Tha1

    Tha1 Power Member

    faz:
    Código:
    uname -a
     
  3. xtr3me

    xtr3me Power Member

    Se sabes a distro que tens não percebo a pergunta.

    O que queres dizer com isto?

    Comandos que se dá em linux?

    Isso dá-te a versão do kernel entre outra informação, mas não a distro que está a ser usada (se bem me recordo). Se for isso que ele quer ...
     
    Última edição: 10 de Janeiro de 2008
  4. Stroops

    Stroops Power Member

    O que eu queria fazer era isto!!

    Binary packages

    The latest binary packages are always available from the Debian archive for a number of platforms (alpha, amd64, arm, i386, ia64, powerpc, s390 and sparc). To check the current status you can query the archive for all available package versions of FSL.
    To use the official Debian packages there should be no necessity for a special configuration. Just make sure that you enabled the non-free section in your /etc/apt/sources.list, e.g. deb http://ftp.de.debian.org/debian/ lenny main non-free contrib
    Binary packages of backports are usually provided for Debian etch, (K)Ubuntu 7.04 (Feisty Fawn) and 7.10 (Gutsy Gibbon) on i386 and amd64. If binary packages for your distribution are available, add the following line to your /etc/apt/sources.list:
    deb http://apsy.gse.uni-magdeburg.de/debian #distro# main non-free
    Change #distro# to either etch, sid or dapper depending on your distribution. So if you are using the Debian development distribution, you should should end up with this line:
    deb http://apsy.gse.uni-magdeburg.de/debian sid main non-free
    If you have that line in your /etc/apt/sources.list, you can update your APT package list (you need to be root to do this or you have to use sudo):
    aptitude update
    After the package list was updated successfully, you can install FSL with a simple:
    aptitude install fsl
    That's it. Of course you can also use your favorite package management frontend (synaptic, aptitude, dselect, ...) to do this. To install more packages, please refer to the names of the binary packages in the above table. You most likely want the fslview package to be installed.



    Só que nao tou a conseguir!!



    Já agora, alguem me pode explicar pk é que me está este erro quando tento fazer as actualizações:

    Pede me para fazer uma actualização parcial e depois dá me "Erro ao autenticar alguns pacotes"

    PS: A lista é enorme!
     
  5. xtr3me

    xtr3me Power Member

    Tens que ver se o teu sources.list (na pasta /etc/apt) está correcto (com os repositórios correctos e descomentados).

    Quando estiver (corrige se necessário), fazes

    Código:
    apt-get update
    e depois então actualizas.
     
  6. Stroops

    Stroops Power Member

    e a duvida da distro? alguem ma tira?
     
  7. xtr3me

    xtr3me Power Member

    Pessoalmente continuo sem perceber o que queres.

    A tua disto, dizes tu que é a Ubuntu 7.10 Gutsy.
     
  8. Stroops

    Stroops Power Member

    Era isso era... só que me estava a dar um erro pk pelos vistos precisava de uma chave publica que nao tenho!! Nao deve ser free akela parte... vou entar tentar instalar o FSL... Obrigado
     
  9. hellaxe

    hellaxe Power Member

    A chave não tem nada a ver por ser free.
    É uma questão de segurança, creio eu.
    Mas para os repositórios do Ubuntu não precisas de chave nenhuma.
    Há aí alguma confusão.
     
  10. Condez

    Condez [email protected] Member

    Para saberes que distribuição está instalada fazes:

    cat /etc/issue
     
  11. slack_guy

    slack_guy Power Member

    Olha que não:
    Código:
    [[email protected]] ~: cat /etc/issue
    
    Welcome to \s \r (\l)
    
    Para 'adivinhar' o sistema operativo, e respectiva versão, o mais completo que vi até agora é um script (na verdade, um conjunto enorme de expressões regulares) utilizado pelo webmin (file: os_list.txt).

    Já agora, em Slackware:
    Código:
    [[email protected]] ~: cat /etc/slackware-version
    Slackware 12.0.0
    
     
  12. Condez

    Condez [email protected] Member


    Realmente nunca experimentei em todos os linux, mas em Debian, Ubuntu e Red Hat sempre me devolveu a versão.
     
  13. PrOdG

    PrOdG Power Member

    O /etc/issue contém a string que aparece no login (conceito similar a um MOTD). As distros que referiste metem o nome na string, mas não é obrigatório. Essa técnica tem mais ou menos a mesma eficácia que determinar a distro pelo símbolo do menu de aplicações.
     

Partilhar esta Página